import * as react_jsx_runtime from 'react/jsx-runtime';
import { ComponentProps } from 'react';
import { ContentProps, Drawer } from 'vaul';

declare function SheetRoot({ children, contentProps, nested, ...rest }: {
    contentProps?: ContentProps;
    nested?: boolean;
} & ComponentProps<typeof Drawer.Root>): react_jsx_runtime.JSX.Element;
declare function Title({ className, ...rest }: ComponentProps<typeof Drawer.Title>): react_jsx_runtime.JSX.Element;
declare function Description(props: ComponentProps<typeof Drawer.Description>): react_jsx_runtime.JSX.Element;
declare function Close(props: ComponentProps<typeof Drawer.Close>): react_jsx_runtime.JSX.Element;
declare const Sheet: typeof SheetRoot & {
    Title: typeof Title;
    Description: typeof Description;
    Close: typeof Close;
};

export { Sheet };
